Results 1 to 6 of 6

Thread: [SOLVED] zcs-NETWORK-6.0.2 amd64 on a debian lenny

  1. #1
    Join Date
    Nov 2009
    Posts
    9
    Rep Power
    6

    Default [SOLVED] zcs-NETWORK-6.0.2 amd64 on a debian lenny

    Hello,

    I'm trying to install zcs-NETWORK-6.0.2 amd64 on a debian lenny. For now, I have a zcs-NETWORK-5 on a debian etch and I need to upgrade it to delegate admin rights in a multi domain environment (it's impossible to do this with zcs-NETWORK-5).


    I have this problem during the installation :

    ...
    Cleaning up /etc/ld.so.conf...done.
    Cleaning up /etc/logrotate.d/zimbra...done.
    Cleaning up /etc/security/limits.conf...done.

    Finished removing Zimbra Collaboration Suite.

    Installing packages

    zimbra-core......zimbra-core_6.0.2_GA_1912.UBUNTU8_64_amd64.deb...done
    zimbra-ldap......zimbra-ldap_6.0.2_GA_1912.UBUNTU8_64_amd64.deb...done
    zimbra-logger......zimbra-logger_6.0.2_GA_1912.UBUNTU8_64_amd64.deb...done
    zimbra-mta......zimbra-mta_6.0.2_GA_1912.UBUNTU8_64_amd64.deb...done
    zimbra-snmp......zimbra-snmp_6.0.2_GA_1912.UBUNTU8_64_amd64.deb...done
    zimbra-store......zimbra-store_6.0.2_GA_1912.UBUNTU8_64_amd64.deb...done
    zimbra-apache......zimbra-apache_6.0.2_GA_1912.UBUNTU8_64_amd64.deb...done
    zimbra-spell......zimbra-spell_6.0.2_GA_1912.UBUNTU8_64_amd64.deb...done
    zimbra-convertd......zimbra-convertd_6.0.2_GA_1912.UBUNTU8_64_amd64.deb...done
    /usr/bin/perl: symbol lookup error: /opt/zimbra/zimbramon/lib/x86_64-linux-gnu-thread-multi/auto/IO/IO.so: undefined symbol: Perl_Tstack_sp_ptr

    I found on the forum, some peoples have the same message when they're trying to upgrade from etch to lenny with zcs-NETWORK-5.

    here the perl version :

    ~ # perl -v

    This is perl, v5.10.0 built for x86_64-linux-gnu-thread-multi

    Thanks for your help.

    Nico

  2. #2
    Join Date
    Jul 2006
    Posts
    623
    Rep Power
    10

    Default

    The Network edition is not supported on Debian. Install on the OS (Ubuntu 8.0.4 LTS Server) that it was built for and you'll have better luck getting support.
    Bugzilla - Wiki - Downloads - Before posting... Search!

  3. #3
    Join Date
    Nov 2009
    Posts
    9
    Rep Power
    6

    Default Same problem with os edition

    Hello,

    Thank for your response. Infortunatly, we only use debian in my compagny. I have done a fresh install of open source edition, I got the same error :

    perl: symbol lookup error: /opt/zimbra/zimbramon/lib/x86_64-linux-gnu-thread-multi/auto/Data/UUID/UUID.so: undefined symbol: Perl_Tstack_sp_ptr.

    Is there support for this version ?

  4. #4
    Join Date
    Nov 2006
    Location
    UK
    Posts
    8,017
    Rep Power
    25

  5. #5
    phoenix is offline Zimbra Consultant & Moderator
    Join Date
    Sep 2005
    Location
    Vannes, France
    Posts
    23,587
    Rep Power
    58

    Default

    Quote Originally Posted by n.hicher View Post
    Thank for your response. Infortunatly, we only use debian in my compagny.
    If you install Zimbra on an unsupported platform it does mean that you will not receive support for Zimbra on this platform. Currently supported platforms are only the ones on the Downloads list.
    Regards


    Bill


    Acompli: A new adventure for Co-Founder KevinH.

  6. #6
    Join Date
    Nov 2009
    Posts
    9
    Rep Power
    6

    Default

    It's possible to install zimbra network edition on debian lenny

    You have to downgrade perl before installation and modify util/utilfunc.sh

    Code:
        if [ $PLATFORM = "DEBIAN5" ]; then
          PREREQ_PACKAGES="sudo libidn11 libpcre3 libgmp3c2 libexpat1 libstdc++6 libstdc++5"
          PRESUG_PACKAGES="perl-5.8.0 sysstat"
        fi
    must be

    Code:
        if [ $PLATFORM = "DEBIAN5" ]; then
          PREREQ_PACKAGES="sudo libidn11 libpcre3 libgmp3c2 libexpat1 libstdc++6 libstdc++5"
          PRESUG_PACKAGES="perl-5.08.0 sysstat"
        fi
    for amd64 you have to do the same thing

Similar Threads

  1. MISSING: libgmp3 on Debian Lenny ( ZCS 6.0 )
    By Eno in forum Installation
    Replies: 7
    Last Post: 09-12-2009, 12:53 PM
  2. [SOLVED] ZCS 6.0 support for Debian 5.0 lenny
    By deniz in forum Developers
    Replies: 4
    Last Post: 09-03-2009, 12:31 PM
  3. ZCS in Debian 5 (Lenny)
    By hispa in forum Installation
    Replies: 5
    Last Post: 07-15-2009, 12:25 PM
  4. Mail is being queued, not delivered!
    By icepick94 in forum Administrators
    Replies: 12
    Last Post: 01-22-2009, 07:03 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •